--
-- 테이블 구조 `app_send_contents`
--

-- DROP TABLE IF EXISTS `app_send_contents`;
CREATE TABLE IF NOT EXISTS `app_send_contents` (
  `REQ_SEND_DATE` char(14) DEFAULT NULL                 COMMENT '[사용안함]메시지를 DB에 넣은 시간 (yyyymmddHHMMSS)',
  `PACK_UNIQUEKEY` int(11) NOT NULL AUTO_INCREMENT      COMMENT 'CONTENTS 순번',
  `MSG_SUBJECT` varchar(50) DEFAULT NULL                COMMENT '메시지 제목(실패시 문자처리 예비용)',
  `MSG_DATA` varchar(3000) NOT NULL                     COMMENT '메시지 내용',
  `MSG_TYPE` char(2) NOT NULL                           COMMENT '메시지 타입 (AT로 고정)',
  `HEADER` varchar(32) DEFAULT NULL                     COMMENT '[사용안함]',
  `BTN_CNT` int(1) DEFAULT '0'                          COMMENT '버튼 개수 (현재 1개만 지원)',
  `ATTACHMENT` varchar(5000) DEFAULT NULL               COMMENT '버튼 정보 JSON 형식',
  `LINK_CNT` int(1) DEFAULT '0'                         COMMENT '[사용안함]바로연결 버튼 개수',
  `SUPPLEMENT` varchar(5000) DEFAULT NULL               COMMENT '[사용안함]바로연결 버튼 정보',
  `PHONE_CNT` int(11) DEFAULT '0'                       COMMENT '[사용안함]전화번호 개수',
  `CUR_STATE` int(1) DEFAULT '0'                        COMMENT '[사용안함]메시지 상태',
  PRIMARY KEY (`PACK_UNIQUEKEY`)
) ENGINE=InnoDB DEFAULT CHARSET=euckr;
-- --------------------------------------------------------

--
-- 테이블 구조 `app_send_data` & `app_send_data_log`
--

-- DROP TABLE IF EXISTS `app_send_data`;


-- APP_SEND_DATA 테이블 생성
CREATE TABLE IF NOT EXISTS `app_send_data`(
        `MSG_SEQ`           int(11)             NOT NULL AUTO_INCREMENT COMMENT '메시지 접수번호',
        `REQ_SEND_DATE`     char(14)            NOT NULL                COMMENT '메시지 접수요청 시간(미래시간 가능)',
        `PACK_UNIQUEKEY`    int(11)             DEFAULT NULL            COMMENT 'APP_SEND_CONTENTS의 PK키',
        `PHONE_NUM`         varchar(12)         NOT NULL                COMMENT '수신자 전화번호',
        `NURI_MSG_SEQ`      int(11)             DEFAULT NULL            COMMENT '문자로 전환될 시 누리 메시지 순번',
        `USER_SEQ`          int(11)             DEFAULT NULL            COMMENT '유저가 임의로 사용 가능한 순번',
        `CUR_STATE`         int(11)             DEFAULT 0               COMMENT '메시지 상태',
        `APP_GUBUN`         varchar(8)          NOT NULL                COMMENT '앱구분(카카오, 네이버)',
        `CALL_BACK`         varchar(12)         NOT NULL                COMMENT '발신자 전화번호',
        `SUB_ID`            varchar(30)         DEFAULT NULL            COMMENT '서브 아이디(협의된 기관만 사용)',
        `GAON_MSG_TYPE`     char(1)             NOT NULL                COMMENT '메시지 타입(S: 단문 전용, L: 단문, 장문, 단문+버튼, 장문+버튼)',
        `SMS_MSG_DATA`      varchar(135)        DEFAULT NULL            COMMENT '메시지 타입이 S인 경우 메시지 내용',
        `TEMPLATE_CODE`     varchar(40)         NOT NULL                COMMENT '템플릿 코드',
        `RSLT_CODE_APP`     char(4)             DEFAULT NULL            COMMENT '메시지 전송 결과',
        `MODULE_SEND_TIME`  char(14)            DEFAULT NULL            COMMENT '가온에서 서버로 발송한 시간',
        `SVR_RECV_TIME`     char(14)            DEFAULT NULL            COMMENT '가온에서 발송한 데이터를 서버에서 수신한 시간',
        `APP_SEND_TIME`     char(14)            DEFAULT NULL            COMMENT '서버에서 각 플랫폼 으로 발송한 시간 현재 갱신 안됨',
        `APP_RECV_TIME`     char(14)            DEFAULT NULL            COMMENT '서버에서 각 플랫폼으로부터 결과 데이터를 받은 시간',
        `SERIAL_NUMBER`     varchar(39)         DEFAULT NULL            COMMENT '가온에서 서버로 발송시 생성한 시리얼 넘버',
        `SEND_PACK_UKEY`    int(11)             DEFAULT NULL            COMMENT '[사용안함]',
--        `MSG_KEY`           varchar(100)        DEFAULT NULL            COMMENT '[사용자컬럼]접수번호',
--        `MSG_UID`           varchar(20)         DEFAULT NULL            COMMENT '[사용자컬럼]발송계정',
--        `MSG_RCV_NAME`      varchar(100)        DEFAULT NULL            COMMENT '[사용자컬럼]수신자명',
--        `MSG_TYPE1`         varchar(10)         DEFAULT NULL            COMMENT '[사용자컬럼]메시지유형1(SMS/MMS)',
--        `MSG_TYPE2`         varchar(10)         DEFAULT NULL            COMMENT '[사용자컬럼]메시지유형2(SMS/LMS/MMS)',
--        `MSG_IDATE`         datetime            DEFAULT NULL            COMMENT '[사용자컬럼]입력시간',
        PRIMARY KEY (`MSG_SEQ`),
        KEY `app_send_data_SERIAL_IDX`(`SERIAL_NUMBER`),
        KEY `APP_SEND_DATA_PACK_UKEY_INDEX` (`PACK_UNIQUEKEY`)
) ENGINE=InnoDB DEFAULT CHARSET=euckr;


-- --------------------------------------------------------

--
-- 테이블 구조 `app_send_data_log`
--

-- DROP TABLE IF EXISTS `app_send_data_log`;
CREATE TABLE IF NOT EXISTS `app_send_data_log` (
        `MSG_SEQ`           int(11)             NOT NULL                COMMENT '메시지 접수번호',
        `REQ_SEND_DATE`     char(14)            NOT NULL                COMMENT '메시지 접수요청 시간',
        `PACK_UNIQUEKEY`    int(11)             DEFAULT NULL            COMMENT 'APP_SEND_CONTENTS의 PK키',
        `PHONE_NUM`         varchar(12)         NOT NULL                COMMENT '수신자 전화번호',
        `NURI_MSG_SEQ`      int(11)             DEFAULT NULL            COMMENT '문자로 전환될 시 누리 메시지 순번',
        `USER_SEQ`          int(11)             DEFAULT NULL            COMMENT '유저가 임의로 사용 가능한 순번',
        `CUR_STATE`         int(11)             DEFAULT 0               COMMENT '메시지 상태',
        `APP_GUBUN`         varchar(8)          NOT NULL                COMMENT '앱구분(카카오, 네이버)',
        `CALL_BACK`         varchar(12)         NOT NULL                COMMENT '발신자 전화번호',
        `SUB_ID`            varchar(30)         DEFAULT NULL            COMMENT '서브 아이디(협의된 기관만 사용)',
        `GAON_MSG_TYPE`     char(1)             NOT NULL                COMMENT '메시지 타입(S: 단문 전용, L: 단문, 장문, 단문+버튼, 장문+버튼)',
        `SMS_MSG_DATA`      varchar(135)        DEFAULT NULL            COMMENT '메시지 타입이 S인 경우 메시지 내용',
        `TEMPLATE_CODE`     varchar(40)         NOT NULL                COMMENT '템플릿 코드',
        `RSLT_CODE_APP`     char(4)             DEFAULT NULL            COMMENT '메시지 전송 결과',
        `MODULE_SEND_TIME`  char(14)            DEFAULT NULL            COMMENT '가온에서 서버로 발송한 시간',
        `SVR_RECV_TIME`     char(14)            DEFAULT NULL            COMMENT '가온에서 발송한 데이터를 서버에서 수신한 시간',
        `APP_SEND_TIME`     char(14)            DEFAULT NULL            COMMENT '서버에서 각 플랫폼 으로 발송한 시간 현재 갱신 안됨',
        `APP_RECV_TIME`     char(14)            DEFAULT NULL            COMMENT '서버에서 각 플랫폼으로부터 결과 데이터를 받은 시간',
        `SERIAL_NUMBER`     varchar(39)         DEFAULT NULL            COMMENT '가온에서 서버로 발송시 생성한 시리얼 넘버',
        `SEND_PACK_UKEY`    int(11)             DEFAULT NULL            COMMENT '[사용안함]',
        KEY `CUR_STATE` (`CUR_STATE`),
        KEY `RSLT_CODE_APP` (`RSLT_CODE_APP`),
        KEY `app_send_data_SERIAL_IDX`(`SERIAL_NUMBER`),
        KEY `APP_SEND_DATA_PACK_UKEY_INDEX` (`PACK_UNIQUEKEY`)
) ENGINE=InnoDB DEFAULT CHARSET=euckr;

-- --------------------------------------------------------

--
-- 테이블 구조 `app_template_code`
--

-- DROP TABLE IF EXISTS `app_template_code`;
CREATE TABLE IF NOT EXISTS `app_template_code` (
  `APP_GUBUN` varchar(8) NOT NULL               COMMENT '앱구분',
  `TEMPLATE_CODE` varchar(30) NOT NULL          COMMENT '템플릿 코드',
  `USE_BUTTON` char(1) DEFAULT 'N'              COMMENT '버튼 사용유무',
  `HEAD` varchar(500) DEFAULT NULL              COMMENT '머릿말(템플릿)',
  `FOOT` varchar(500) DEFAULT NULL              COMMENT '꼬릿말',
  `TITLE` varchar(100) DEFAULT NULL             COMMENT '제목(강조)',
--  `RANK` int(5) DEFAULT NULL                  COMMENT '[사용자컬럼] 우선순위 정렬용',
--  `MASTER_ID` varchar(50) DEFAULT NULL        COMMENT '[사용자컬럼] 팀계정',
--  `HTTPS` char(1) DEFAULT NULL                COMMENT '[사용자컬럼] HTTPS ',
--  `BUTTON_1_TYPE` varchar(255) DEFAULT NULL   COMMENT '[사용자컬럼] 버튼1 유형',
--  `BUTTON_1_NAME` varchar(255) DEFAULT NULL   COMMENT '[사용자컬럼] 버튼1 이름',
--  `BUTTON_1_P_URL` varchar(255) DEFAULT NULL  COMMENT '[사용자컬럼] 버튼1 PC  URL',
--  `BUTTON_1_M_URL` varchar(255) DEFAULT NULL  COMMENT '[사용자컬럼] 버튼1 모바일 URL',
  KEY `TEMPLATE_CODE` (`TEMPLATE_CODE`),
  KEY `APP_GUBUN` (`APP_GUBUN`),
  KEY `USE_BUTTON` (`USE_BUTTON`),
  KEY `MASTER_ID` (`MASTER_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=euckr;
-- --------------------------------------------------


/*

CREATE TABLE IF NOT EXISTS app_template_code (
  APP_GUBUN varchar(8) NOT NULL COMMENT '앱구분',
  TEMPLATE_CODE varchar(30) NOT NULL COMMENT '템플리코드',
  USE_BUTTON char(1) DEFAULT 'N' COMMENT '버튼 사용유무',
  HEAD varchar(500) DEFAULT NULL COMMENT '머릿말(템플릿)',
  FOOT varchar(500) DEFAULT NULL COMMENT '꼬릿말',
  TITLE varchar(100) DEFAULT NULL COMMENT '제목(강조)',
  RANK int(5) DEFAULT NULL COMMENT '우선순위 정렬용',
  MASTER_ID varchar(50) DEFAULT NULL COMMENT '팀계정',
  HTTPS char(1) DEFAULT NULL COMMENT 'HTTPS ',
  BUTTON_1_TYPE varchar(255) DEFAULT NULL COMMENT '버튼1 유형',
  BUTTON_1_NAME varchar(255) DEFAULT NULL COMMENT '버튼1 이름',
  BUTTON_1_P_URL varchar(255) DEFAULT NULL COMMENT '버튼1 PC  URL',
  BUTTON_1_M_URL varchar(255) DEFAULT NULL COMMENT '버튼1 모바일 URL',
  BUTTON_2_TYPE varchar(255) DEFAULT NULL COMMENT '버튼2 유형',
  BUTTON_2_NAME varchar(255) DEFAULT NULL COMMENT '버튼2 이름',
  BUTTON_2_P_URL varchar(255) DEFAULT NULL COMMENT '버튼2 PC  URL',
  BUTTON_2_M_URL varchar(255) DEFAULT NULL COMMENT '버튼2 모바일 URL',
  KEY TEMPLATE_CODE (TEMPLATE_CODE),
  KEY APP_GUBUN (APP_GUBUN),
  KEY USE_BUTTON (USE_BUTTON),
  KEY MASTER_ID (MASTER_ID)
) ;

* 활용.
 - Selectbox 기능 구현
 - 데이터 입력

INSERT INTO app_template_code(APP_GUBUN, TEMPLATE_CODE, USE_BUTTON, HEAD, RANK, MASTER_ID, HTTPS, BUTTON_1_TYPE, BUTTON_1_NAME, BUTTON_1_P_URL, BUTTON_1_M_URL, )
VALUES('KAKAO', 'mgovgokr_btn_0001', 'Y', '국가정보자원관리원 요청하신 모바일메시지서비스 운영 가이드 안내드립니다.', 1, '사용계정', NULL, 'WL', '모바일메시지서비스', 'http://www.mgov.go.kr', 'http://www.mgov.go.kr', NULL, NULL, NULL, NULL);


*/