package humanframe.web.controller.front;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;

//api 시설정보 등록/수정/삭제 테스트용
public class ApiTestController {

	static String API_KEY = ""; //API_KEY :  
	static String API_URL = "https://reserv.yooncoms.com/api/resourceApi/facilityApi?apiKey=" + API_KEY;
	
	public static void main(String[] args) throws ParseException {

		/**
		 *  REST API 호출하기
		 */
		URL url = null;
		HttpURLConnection con= null;
		JSONObject result = null;
		StringBuilder sb = new StringBuilder();
		try {
			// URL 객채 생성 (BASE_URL)
			url = new URL(API_URL);
			// URL을 참조하는 객체를 URLConnection 객체로 변환
			con = (HttpURLConnection) url.openConnection();

			// 커넥션 request 방식 "GET"으로 설정
			con.setRequestMethod("GET");

			// 커넥션 request 값 설정(key,value) 
			con.setRequestProperty("Content-type", "application/json");

			// 받아온 JSON 데이터 출력 가능 상태로 변경 (default : false)
			con.setDoOutput(true);

			// 데이터 입력 스트림에 담기
			BufferedReader br = new BufferedReader(new InputStreamReader(con.getInputStream(), "UTF-8"));
			while(br.ready()) {
				sb.append(br.readLine());
			}
			con.disconnect();
		}catch(Exception e) {
			e.printStackTrace();
		}

		/**
		 *  JSON 데이터 파싱하기
		 */
		// JSONParser에 입력 스트림에 담은 JSON데이터(sb.toString())를 넣어 파싱한 다음 JSONObject로 반환한다.
		result = (JSONObject) new JSONParser().parse(sb.toString());

		// REST API 호출 상태 출력하기
		StringBuilder out = new StringBuilder();
		out.append("status msg : " + result.get("error_msg") + ", total_count : " + result.get("total_count") +"\n");

		// "result_list"라는 JSONObject를 가져와서  JSONArray에 저장한다.
		JSONArray array = (JSONArray) result.get("result_list");

		// 데이터 출력하기
		JSONObject tmp;
		for(int i=0; i<array.size(); i++) {
			tmp = (JSONObject) array.get(i);
			
			out.append("RESOURCE_NO("+i+") :"+ tmp.get("RESOURCE_NO") +"\n");  //시설일련번호
			out.append("INSTI_CODE("+i+") :"+ tmp.get("INSTI_CODE") +"\n"); //기관코드
			out.append("FACILITY_TYPE("+i+") :"+ tmp.get("FACILITY_TYPE") +"\n"); //시설구분
			out.append("FACILITY_NM("+i+") :"+ tmp.get("FACILITY_NM") +"\n"); //시설명			
			out.append("ADRES("+i+") :"+ tmp.get("ADRES") +"\n"); //주소
			out.append("ADRES_DETAIL("+i+") :"+ tmp.get("ADRES_DETAIL") +"\n"); //상세주소
			out.append("ADRES_LA("+i+") :"+ tmp.get("ADRES_LA") +"\n"); //위도
			out.append("ADRES_LO("+i+") :"+ tmp.get("ADRES_LO") +"\n"); //경도
			out.append("GUIDANCE("+i+") :"+ tmp.get("GUIDANCE") +"\n"); //찾아오시는길
			out.append("AREA_CODE("+i+") :"+ tmp.get("AREA_CODE") +"\n"); //지역코드
			
			out.append("PURPOSE("+i+") :"+ tmp.get("PURPOSE") +"\n"); //용도
			out.append("SCALE("+i+") :"+ tmp.get("SCALE") +"\n"); //규모
			out.append("ACCEPT_PERSON_NO("+i+") :"+ tmp.get("ACCEPT_PERSON_NO") +"\n"); //수용인원
			out.append("LIMITED("+i+") :"+ tmp.get("LIMITED") +"\n"); //한정조건
			
			out.append("MANAGER_PART("+i+") :"+ tmp.get("MANAGER_PART") +"\n"); //담당자 부서
			out.append("MANAGER_NM("+i+") :"+ tmp.get("MANAGER_NM") +"\n"); //담당자 명
			out.append("MANAGER_OFFICETEL("+i+") :"+ tmp.get("MANAGER_OFFICETEL") +"\n"); //담당자 회사 전화번호
			out.append("MANAGER_TELNO("+i+") :"+ tmp.get("MANAGER_TELNO") +"\n"); //담당자 전화번호
			out.append("MANAGER_EMAIL("+i+") :"+ tmp.get("MANAGER_EMAIL") +"\n"); //담당자 이메일
			out.append("BOOKING_METHOD_TYPE("+i+") :"+ tmp.get("BOOKING_METHOD_TYPE") +"\n"); //예약방법
			out.append("INTERNET_BOOKING("+i+") :"+ tmp.get("INTERNET_BOOKING") +"\n"); //인터넷예약방법
			
			out.append("BOOKING_METHOD_URL("+i+") :"+ tmp.get("BOOKING_METHOD_URL") +"\n"); //예약 URL
			out.append("JUDGE_TYPE("+i+") :"+ tmp.get("JUDGE_TYPE") +"\n"); //심사 구분
			out.append("JUDGE_GUIDE("+i+") :"+ tmp.get("JUDGE_GUIDE") +"\n"); //심사안내문구
			out.append("USE_TARGET("+i+") :"+ tmp.get("USE_TARGET") +"\n"); //이용대상
			
			out.append("OPERATING_PERIOD_TYPE("+i+") :"+ tmp.get("OPERATING_PERIOD_TYPE") +"\n"); //운영기간구분
			out.append("OPERATING_PERIOD_FDATE("+i+") :"+ tmp.get("OPERATING_PERIOD_FDATE") +"\n"); //운영기간 시작일시
			out.append("OPERATING_PERIOD_TDATE("+i+") :"+ tmp.get("OPERATING_PERIOD_TDATE") +"\n"); //운영기간 종료일시
			out.append("OPERATING_PERIOD_REASON("+i+") :"+ tmp.get("OPERATING_PERIOD_REASON") +"\n"); //운영 중지사유
			
			out.append("WEEK_CLASS1("+i+") :"+ tmp.get("WEEK_CLASS1") +"\n"); //운영시간 요일구분
			out.append("INPUT_TYPE1("+i+") :"+ tmp.get("INPUT_TYPE1") +"\n"); //운영시간 유형
			out.append("FROM_TIME1("+i+") :"+ tmp.get("FROM_TIME1") +"\n"); //운영시간 시작시간
			out.append("TO_TIME1("+i+") :"+ tmp.get("TO_TIME1") +"\n"); //운영시간 종료시간
			
			out.append("WEEK_CLASS2("+i+") :"+ tmp.get("WEEK_CLASS2") +"\n"); //운영시간 요일구분
			out.append("INPUT_TYPE2("+i+") :"+ tmp.get("INPUT_TYPE2") +"\n"); //운영시간 유형
			out.append("FROM_TIME2("+i+") :"+ tmp.get("FROM_TIME2") +"\n"); //운영시간 시작시간
			out.append("TO_TIME2("+i+") :"+ tmp.get("TO_TIME2") +"\n"); //운영시간 종료시간
			
			out.append("WEEK_CLASS3("+i+") :"+ tmp.get("WEEK_CLASS3") +"\n"); //운영시간 요일구분
			out.append("INPUT_TYPE3("+i+") :"+ tmp.get("INPUT_TYPE3") +"\n"); //운영시간 유형
			out.append("FROM_TIME3("+i+") :"+ tmp.get("FROM_TIME3") +"\n"); //운영시간 시작시간
			out.append("TO_TIME3("+i+") :"+ tmp.get("TO_TIME3") +"\n"); //운영시간 종료시간
			
			out.append("WEEK_CLASS4("+i+") :"+ tmp.get("WEEK_CLASS4") +"\n"); //운영시간 요일구분
			out.append("INPUT_TYPE4("+i+") :"+ tmp.get("INPUT_TYPE4") +"\n"); //운영시간 유형
			out.append("FROM_TIME4("+i+") :"+ tmp.get("FROM_TIME4") +"\n"); //운영시간 시작시간
			out.append("TO_TIME4("+i+") :"+ tmp.get("TO_TIME4") +"\n"); //운영시간 종료시간
			
			out.append("OPEN_YN("+i+") :"+ tmp.get("OPEN_YN") +"\n"); //공개여부
			out.append("CONTENT("+i+") :"+ tmp.get("CONTENT") +"\n"); //상세설명
			out.append("NOTICE("+i+") :"+ tmp.get("NOTICE") +"\n"); //예약시 유의사항
			out.append("EXCLUDE("+i+") :"+ tmp.get("EXCLUDE") +"\n"); //사용허가 제외대상
			out.append("SMS_RECEPTION("+i+") :"+ tmp.get("SMS_RECEPTION") +"\n"); //sms 수신여부
			out.append("BOOKING_PERIOD_TYPE("+i+") :"+ tmp.get("BOOKING_PERIOD_TYPE") +"\n"); //예약기간구분
			out.append("BOOKING_PERIOD_FDATE("+i+") :"+ tmp.get("BOOKING_PERIOD_FDATE") +"\n"); //예약기간 시작일시
			out.append("BOOKING_PERIOD_TDATE("+i+") :"+ tmp.get("BOOKING_PERIOD_TDATE") +"\n"); //예약기간 종료일시
			out.append("BOOKING_PERIOD_REASON("+i+") :"+ tmp.get("BOOKING_PERIOD_REASON") +"\n"); //예약 중지사유
			out.append("FEE_SETTING("+i+") :"+ tmp.get("FEE_SETTING") +"\n"); //요금설정
			out.append("FEE_COMMENT("+i+") :"+ tmp.get("FEE_COMMENT") +"\n"); //요금코멘트
			out.append("VR_URL("+i+") :"+ tmp.get("VR_URL") +"\n"); //VR URL
			
			out.append("IMGSTHUMBFILE1("+i+") :"+ tmp.get("IMGSTHUMBFILE1") +"\n"); //이미지 파일1
			out.append("IMGSTHUMBFILE2("+i+") :"+ tmp.get("IMGSTHUMBFILE2") +"\n"); //이미지 파일2
			out.append("IMGSTHUMBFILE3("+i+") :"+ tmp.get("IMGSTHUMBFILE3") +"\n"); //이미지 파일3
			out.append("IMGSTHUMBFILE4("+i+") :"+ tmp.get("IMGSTHUMBFILE4") +"\n"); //이미지 파일4
			
			out.append("CRT_DTM("+i+") :"+ tmp.get("CRT_DTM") +"\n"); //등록일
			out.append("UPT_DTM("+i+") :"+ tmp.get("UPT_DTM") +"\n"); //수정일
			
			out.append("\n");
		}
		
		out.append("\n");
		System.out.println(out.toString()); 
	}
}
