package com.api;

import java.io.BufferedReader;
import java.io.File;
import java.io.InputStreamReader;
import java.net.URLEncoder;
import java.nio.charset.Charset;
import java.util.Map;
 
import org.apache.http.HttpEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.ContentType;
import org.apache.http.entity.mime.MultipartEntityBuilder;
import org.apache.http.entity.mime.content.FileBody;
import org.apache.http.entity.mime.content.StringBody;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;

public class Http {

	 private static final String DEFAULT_ENCODING = "UTF-8";
     
    private String url;
    private MultipartEntityBuilder params;

	public static void main(String[] args) {

	        try {

				/* 아래의 파라미터는 예시를 위하여 일부만 작성된것이며 시설연계데이터 엑셀 파일을 참조하여 데이값중 필수값은 반드시 작성필요*/

				//1번(수원외 지역) 수정 테스트
				/*Http http = new Http("https://reserv.yooncoms.com/api/resourceApi/action"); //시설정보 등록/수정/삭제 api(수원 외 지역)
				http.addParam("apiKey", "제공받은 apikey 사용");
				
				http.addParam("resource_no", "F0008");		
				http.addParam("insti_code", "8500001");				
				http.addParam("crud_gubun", "M");
				http.addParam("week_class1", "WE"); // 시간표
				http.addParam("input_type1", "TI"); // 입력유형(TI:기간입력,CE:휴관,AG:대관협의)
				http.addParam("from_time1", "09:00"); // 시작시간
				http.addParam("to_time1", "18:00"); // 종료시간
				http.addParam("facility_nm", "테스트) 운영지원센터 테스트");*/
				
				//1번(수원외 지역) 삭제 테스트 
				/*
				Http http = new Http("https://reserv.yooncoms.com/api/resourceApi/action"); //시설정보 등록/수정/삭제 api(수원 외 지역)
				http.addParam("apiKey", "제공받은 apikey 사용");
				
				http.addParam("resource_no", "F0005");		
				http.addParam("insti_code", "1100001"); 
				http.addParam("crud_gubun", "D");

				*/
				
				//2번(수원) 수정 테스트 
				/*Http http = new Http("https://reserv.yooncoms.com/api/resourceApi/swAction"); //시설정보 등록/수정/삭제 api(수원)
				http.addParam("apiKey", "제공받은 apikey 사용");
				
				http.addParam("resource_no", "123");		
				http.addParam("insti_code", "1010003");
				http.addParam("crud_gubun", "M");			
				http.addParam("week_class1", "WE"); // 시간표
				http.addParam("input_type1", "TI"); // 입력유형(TI:기간입력,CE:휴관,AG:대관협의)
				http.addParam("from_time1", "09:00"); // 시작시간
				http.addParam("to_time1", "18:00"); // 종료시간
				http.addParam("facility_nm", "테스트) 고등동 행정복지센터 다목적실");*/
				
				//2번(수원) 삭제 테스트 
				/*
				Http http = new Http("https://reserv.yooncoms.com/api/resourceApi/swAction"); //시설정보 등록/수정/삭제 api(수원)
				http.addParam("apiKey", "제공받은 apikey 사용");
				
				http.addParam("resource_no", "123");		
				http.addParam("insti_code", "1010003");
				http.addParam("crud_gubun", "D");
				*/

				//첨부이미지에서 사용
				/*
				http.addParam("imgsThumbFile1", new File("d:\\dog.jpg"));
				http.addParam("imgsThumbFile2", new File("d:\\flawer.jpg"));
				http.addParam("imgsThumbFile2", new File("d:\\flawer.jpg"));
				http.addParam("imgsThumbFile2", new File("d:\\flawer.jpg"));
				*/

				http.submit();
			} catch (Exception e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}

	}
	     
    /**
     * @param url 접속할 url
     */
    public Http(String url){
        this.url = url;
         
        params = MultipartEntityBuilder.create();
    }
	     
	
    /**
     * Map 으로 한꺼번에 파라메터 추가하는 메소드
     * @param param 파라메터들이 담긴 맵, 파라메터들은 UTF-8로 인코딩 됨
     * @return
     */
    public Http addParam(Map<String, Object> param){
        return addParam(param, DEFAULT_ENCODING);
    }
     
    /**
     * Map 으로 한꺼번에 파라메터 훅 추가하는 메소드
     * @param param 파라메터들이 담긴 맵
     * @param encoding 파라메터 encoding charset
     * @return
     */
    public Http addParam(Map<String, Object> param, String encoding){
        for( Map.Entry<String, Object> e : param.entrySet() ){
            if (e.getValue() instanceof File) {
                addParam(e.getKey(), (File)e.getValue(), encoding);
            }else{
                addParam(e.getKey(), (String)e.getValue(), encoding);
            }
        }
        return this;
    }
     
    /**
     * 문자열 파라메터를 추가한다.
     * @param name 추가할 파라메터 이름
     * @param value 파라메터 값
     * @return
     */
    public Http addParam(String name, String value){
        return addParam(name, value, DEFAULT_ENCODING);
    }
     
    public Http addParam(String name, String value, String encoding){
        params.addPart(name, new StringBody(value, ContentType.create("text/plain", encoding)));
         
        return this;
    }
     
    /**
     * 업로드할 파일 파라메터를 추가한다.
     * @param name
     * @param file
     * @return
     */
    public Http addParam(String name, File file){
        return addParam(name, file, DEFAULT_ENCODING);
    }
     
    public Http addParam(String name, File file, String encoding){
        if( file.exists() ){
            try{
                params.addPart(
                        name,
                        new FileBody(file, ContentType.create("application/octet-stream"),
                        URLEncoder.encode(file.getName(), encoding)));
            }catch( Exception ex ){ ex.printStackTrace(); }
             
        }
         
        return this;
    }
    
  /**
     * 타겟 URL 로 POST 요청을 보낸다.
     * @return 요청결과
     * @throws Exception
     */
    public String submit() throws Exception{
        CloseableHttpClient http = HttpClients.createDefault();
        StringBuffer result = new StringBuffer();
         
        try{
            HttpPost post = new HttpPost(url);
            post.setEntity(params.build());
             
            CloseableHttpResponse response = http.execute(post);
             
            try{
                HttpEntity res = response.getEntity();
                BufferedReader br = new BufferedReader(
                                    new InputStreamReader(res.getContent(), Charset.forName("UTF-8")));
                 
                String buffer = null;
                while( (buffer=br.readLine())!=null ){
                    result.append(buffer).append("\r\n");
                }
            }finally{
                response.close();
            }
        }finally{
            http.close();
        }
 
        return result.toString();
    }

}
